org.wso2.carbon.device.mgt.iot.androidsense.service.impl.listener

## Class AndroidSensePermissionUpdateListener

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.androidsense.service.impl.listener.AndroidSensePermissionUpdateListener

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletContextListener

      public class AndroidSensePermissionUpdateListener
      extends Object
      implements javax.servlet.ServletContextListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidSensePermissionUpdateListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)`
    `static org.wso2.carbon.user.api.AuthorizationManager` | `getAuthorizationManager()`
    `static org.wso2.carbon.user.api.UserStoreManager` | `getUserStoreManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidSensePermissionUpdateListener

          public AndroidSensePermissionUpdateListener()

  - ### Method Detail

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`

    - #### contextDestroyed

          public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`

    - #### getUserStoreManager

          public static org.wso2.carbon.user.api.UserStoreManager getUserStoreManager()

    - #### getAuthorizationManager

          public static org.wso2.carbon.user.api.AuthorizationManager getAuthorizationManager()

Copyright © 2017 WSO2. All rights reserved.